Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::NullStoreFactory Class Reference

Null implementation of MessageStore. More...

`#include <NullStore.h>`

Inheritance diagram for FIX::NullStoreFactory:
[legend]
Collaboration diagram for FIX::NullStoreFactory:
[legend]

List of all members.

## Public Member Functions

MessageStore * | create (const SessionID &)
void | destroy (MessageStore *)

## Detailed Description

Null implementation of MessageStore.

Will not actually store messages. Useful for admin-only or market data-only applications.

Definition at line 43 of file NullStore.h.

## Member Function Documentation

MessageStore * FIX::NullStoreFactory::create | ( | const SessionID & |  | ) | `[virtual]`

Implements FIX::MessageStoreFactory.

Definition at line 32 of file NullStore.cpp.

References QF_STACK_POP, and QF_STACK_PUSH.

    00033 { QF_STACK_PUSH(NullStoreFactory::create)
    00034   return new NullStore();
    00035   QF_STACK_POP
    00036 }

void FIX::NullStoreFactory::destroy | ( | MessageStore * | pStore | ) | `[virtual]`

Implements FIX::MessageStoreFactory.

Definition at line 38 of file NullStore.cpp.

References QF_STACK_POP, and QF_STACK_PUSH.

    00039 { QF_STACK_PUSH(NullStoreFactory::destroy)
    00040   delete pStore;
    00041   QF_STACK_POP
    00042 }

The documentation for this class was generated from the following files:

- /home/omiller/Development/autobuild/quickfix/src/C++/NullStore.h
- /home/omiller/Development/autobuild/quickfix/src/C++/NullStore.cpp